class Action{

	label = 'Label missing';
	styleClass = 'action';
	passage = '';
	priority = 0;
	contents = '';

	captured = {};

	constructor(settings){
		Object.keys(settings).forEach(function (pn) {
			this[pn] = clone(settings[pn]);
		}, this);
	}

	execute(){
		for (const [capturedKey, capturedValue] of Object.entries(this.captured)) {
			State.setVar(capturedKey,capturedValue);
		}
		$.wiki(this.contents);
	}
}

setup.Action ??= Action;